Subject: Re: [lojban] Re: [jboske] Quantifiers, Existential Import, and all that stuff

From: "Jorge Llambias" <[email-masked]>
Date: Sat, 09 Mar 2002 00:44:32

la pycyn cusku di'e

>Yeah, that is a paradox in many languages: how do you say that things that
>don't exist don't exist.

In (my dialect of) Lojban, one way is:

ro na zasti naku zasti

another way:

ro da poi na zasti ku'o naku zasti

I gather you approve of the second but not of the first.

>Happily, in a logical language it is pretty easy:
>{noda broda} (shorter too).

I have no problem with that to say that there are no broda.

>But in your language, {su'o lo broda na zasti}
>seems to be true when lo'i broda is empty.

Correct. "It is not the case that at least one broda exists."

>But then, all these things
>probably mean something else in your language, so this may not be a paradox
>-- just hard to be sure what they mean.

I still don't see the paradox.

>{lo'i broda} is not a problem, {lo broda} is -- they aren't the same, you
>know.

I know. One refers to a set, the other to its elements.
That's in my dialect. In real Lojban one refers to a set,
the other to its elements if it has any and it is nonsense if
it doesn't. Real Lojban is a bit more complicated than my
dialect. Unnecessarily so, in my opinion.

>Insofar as I can make coherent sense of your system, it seems that every
>quantifier is attached to a {(lo) broda}, thus specifying that the range of
>the quantifier is simply that set (which, however, you allow to be empty).

Yes. That's the same as in real Lojban, except that real Lojban
for some reason does not allow the set to be empty, right?

>Historically, universals true about empty sets have been pulled off by
>quantifying over another set (everything) and introducing the empty set
>conditionally. The truth then comes from the conditional reference, not 
>from
>the quantifier.

Ok. This of course is also possible in my variety of Lojban.

> In Llamban, the idea is to use quantifiers directly on the
>{lo broda} with the understanding that, if the set is empty, {ro lo broda 
>cu
>brode} is true (because there are no counterexamples?

Right. O+ claims the existence of counterexamples, and A-
negates O+.

>-- calling it false
>makes at least as much sense).

It would break the whole system though. Most of the relationships
between quantifiers would not hold in the case of empty sets. What
would be gained?

>Does this carry over to {ro da}?

Yes, everything works out the same for roda:

roda = naku su'oda naku
= noda naku
= naku me'iroda

>I suppose
>that this could be worked into a system, and the one you present may even 
>be
>such a system.

I think so, yes.

>The only complaint against it (unless I find some actual
>inconsistency in it -- which surely could be cured easily) is that it is 
>not
>how Lojban does it.

Ok, I can live with that complaint. I'm not uncomfortable with
breaking official rules as long as I think it is justified (i.e.,
in this case a much simpler and elegant set of rules). What I would
not like is if there is an actual inconsistency, but so far at least
none has shown up.

>Lojban follows the historical precedent of logic (what
>would expect?). To be sure, the details of how this all works out have not 
>be
>thought through very well yet, but, for a variety of reasons, this has not
>been much of a problem (we don't talk a lot about non-existents for one
>thing).

Then it won't be a problem that I have a more elegant way
of doing something that we won't be doing much in any case.

>The basics are in place, it is just vocabulary that needs some
>honing.

I'll be glad to look at it once it's been honed. Meanwhile
I'm happy with what I got.

mu'o mi'e xorxes

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com